Package javassist.util.proxy

# Interface ProxyFactory.ClassLoaderProvider

Enclosing class:
  `ProxyFactory`

public static interface ProxyFactory.ClassLoaderProvider
A provider of class loaders.

Since:
  3.4
See Also:
  - `ProxyFactory.classLoaderProvider`

## Method Summary

Modifier and Type
Method
Description
`ClassLoader`
`get(ProxyFactory pf)`
Returns a class loader.

## Method Details

### get

ClassLoader get(ProxyFactory pf)
Returns a class loader.

Parameters:
  `pf` - a proxy factory that is going to obtain a class loader.